Skip to main content
PATCH
PATCH /v1/dataQuality/testCases/{id}

Update a Test Case

Update a test case’s properties using JSON Merge Patch. You can update by ID or by fully qualified name.

Update by ID

string
required
UUID of the test case to update.

Update by Name

Use PATCH /v1/dataQuality/testCases/name/{fqn} to update by fully qualified name.
string
required
Fully qualified name of the test case.

Body Parameters

Send a JSON object with the fields to update. Only provided fields are changed.
string
Updated description in Markdown format.
array
Updated parameter values.
array
Updated list of owner references.
PATCH /v1/dataQuality/testCases/{id}

Returns

Returns the updated test case object with the new version number.

Response

string
Unique identifier for the test case (UUID format).
string
Test case name.
string
Fully qualified name of the test case.
string
Updated description.
number
Incremented version number.

Error Handling